> ## Documentation Index
> Fetch the complete documentation index at: https://docs.covenance.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all card products

> Get all card products



## OpenAPI

````yaml GET /card-products
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /card-products:
    get:
      description: Get all card products
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCardProductsResponse'
        '400':
          $ref: '#/components/responses/400'
        '403':
          $ref: '#/components/responses/403'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    GetCardProductsResponse:
      type: object
      properties:
        items:
          required:
            - id
            - prefix
            - status
          type: object
          properties:
            id:
              type: string
            prefix:
              type: string
            status:
              type: string
        metadata:
          type: object
          properties:
            nextCursor:
              description: >-
                The cursor to use to retrieve the next page of data. If this is
                not sent, there is no more data to retrieve
              type: string
            count:
              description: The number of items in the current page of data
              type: number
    ErrorWithNoId:
      required:
        - status
        - code
        - message
      type: object
      properties:
        status:
          type: number
        code:
          type: string
        message:
          type: string
  responses:
    '400':
      description: Invalid Body/Query Parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
    '403':
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
    '429':
      description: Too many requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
    '500':
      description: Unidentified Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithNoId'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````